/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ActionsLinkRenderer from './ActionLinkRenderer';
import BooleanRenderer from './BooleanRenderer';
import DateRenderer from './DateRenderer';
import DateTimeRenderer from './DateTimeRenderer';
import DefaultRenderer from './DefaultRenderer';
import ImageRenderer from './ImageRenderer';
import InputCheckboxRenderer from './InputCheckboxRenderer';
import InputDateTimeRenderer from './InputDateTimeRenderer';
import InputTextRenderer from './InputTextRenderer';
import LabelRenderer from './LabelRenderer';
import LinkRenderer from './LinkRenderer';
import ListRenderer from './ListRenderer';
import QuantitySelectorRenderer from './QuantitySelectorRenderer';
import StatusRenderer from './StatusRenderer';

export const dataRenderers = {
	actionLink: ActionsLinkRenderer,
	boolean: BooleanRenderer,
	date: DateRenderer,
	dateTime: DateTimeRenderer,
	default: DefaultRenderer,
	image: ImageRenderer,
	label: LabelRenderer,
	link: LinkRenderer,
	list: ListRenderer,
	quantitySelector: QuantitySelectorRenderer,
	status: StatusRenderer,
};

export const inputRenderers = {
	checkbox: InputCheckboxRenderer,
	dateTime: InputDateTimeRenderer,
	text: InputTextRenderer,
};
